ClarisWksStruct::Struct Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksStruct::Struct Struct Reference

a basic structure More...

`#include <ClarisWksStruct.hxx>`

## Public Member Functions
| Struct ()
| constructor More...
bool | readHeader (MWAWInputStreamPtr input, bool strict=false)
| try to read the header More...

## Public Attributes
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSize
| the data size More...
long | m_headerSize
| the header size More...
int | m_type
| the type More...
int | m_values [2]
| an unknown value More...

## Friends
std::ostream & | operator<< (std::ostream &o, Struct const &z)
| operator<< More...

## Detailed Description

a basic structure

## Constructor & Destructor Documentation

## ◆ Struct()

ClarisWksStruct::Struct::Struct | ( |  | ) |
| inline

constructor

Referenced by readHeader().

## Member Function Documentation

## ◆ readHeader()

bool ClarisWksStruct::Struct::readHeader | ( | MWAWInputStreamPtr | input,
|  | bool | strict = `false`
| ) |  |

try to read the header

Referenced by ClarisDrawStyleManager::readArrows(), ClarisWksGraph::readChartData(), ClarisDrawStyleManager::readColorList(), ClarisDrawStyleManager::readDashs(), ClarisWksDocument::readDataLinkList(), ClarisWksDatabase::readFields(), ClarisWksStyleManager::readFontNames(), ClarisDrawStyleManager::readFontNames(), ClarisDrawStyleManager::readFontStyles(), ClarisWksStyleManager::readGradientList(), ClarisDrawStyleManager::readGradientList(), ClarisDrawGraph::readGroupHeader(), ClarisWksGraph::readGroupHeader(), ClarisWksStruct::readIntZone(), ClarisWksDatabase::readLayout(), ClarisDrawParser::readLayouts(), ClarisDrawParser::readLibraryNames(), ClarisDrawText::readParagraphs(), ClarisWksText::readParagraphs(), ClarisWksStyleManager::readPatternList(), ClarisDrawStyleManager::readPatternList(), ClarisDrawGraph::readPolygonData(), ClarisWksGraph::readPolygonData(), ClarisWksSpreadsheet::readRowHeightZone(), ClarisDrawStyleManager::readRulers(), ClarisWksDocument::readStructCellZone(), ClarisWksStruct::readStructZone(), ClarisWksTable::readTableBorders(), ClarisWksTable::readTableBordersId(), ClarisWksTable::readTableCells(), ClarisWksTable::readTablePointers(), ClarisWksText::readTextSection(), ClarisDrawGraph::readTransformations(), ClarisWksDocument::readZoneA(), and Struct().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Struct const & | z
| ) |  |
| friend

operator<<

Referenced by ClarisWksStruct::DSET::getMaximumPage(), and Struct().

## Member Data Documentation

## ◆ m_dataSize

long ClarisWksStruct::Struct::m_dataSize

the data size

Referenced by ClarisWksStruct::operator<<(), ClarisDrawStyleManager::readArrows(), ClarisWksGraph::readChartData(), ClarisDrawStyleManager::readColorList(), ClarisDrawStyleManager::readDashs(), ClarisWksDocument::readDataLinkList(), ClarisWksDatabase::readFields(), ClarisDrawStyleManager::readFontStyles(), ClarisWksStyleManager::readGradientList(), ClarisDrawStyleManager::readGradientList(), ClarisDrawGraph::readGroupHeader(), readHeader(), ClarisWksStruct::readIntZone(), ClarisWksDatabase::readLayout(), ClarisWksStyleManager::readPatternList(), ClarisDrawStyleManager::readPatternList(), ClarisDrawGraph::readPolygonData(), ClarisDrawStyleManager::readRulers(), ClarisWksDocument::readStructCellZone(), ClarisWksStruct::readStructZone(), ClarisWksTable::readTableBorders(), ClarisWksTable::readTableBordersId(), ClarisWksTable::readTableCells(), ClarisWksTable::readTablePointers(), ClarisWksText::readTextSection(), and ClarisWksDocument::readZoneA().

## ◆ m_headerSize

long ClarisWksStruct::Struct::m_headerSize

the header size

Referenced by ClarisWksStruct::operator<<(), readHeader(), ClarisWksDatabase::readLayout(), ClarisWksDocument::readStructCellZone(), ClarisWksTable::readTableBordersId(), ClarisWksText::readTextSection(), and ClarisWksDocument::readZoneA().

## ◆ m_numData

long ClarisWksStruct::Struct::m_numData

the number of header

Referenced by ClarisWksStruct::operator<<(), readHeader(), ClarisWksDocument::readStructCellZone(), ClarisWksTable::readTableBordersId(), ClarisWksText::readTextSection(), and ClarisWksDocument::readZoneA().

## ◆ m_size

long ClarisWksStruct::Struct::m_size

the size of the DSET header

Referenced by ClarisWksStruct::operator<<(), ClarisDrawStyleManager::readArrows(), ClarisWksGraph::readChartData(), ClarisDrawStyleManager::readColorList(), ClarisDrawStyleManager::readDashs(), ClarisWksDocument::readDataLinkList(), ClarisWksDatabase::readFields(), ClarisWksStyleManager::readFontNames(), ClarisDrawStyleManager::readFontNames(), ClarisDrawStyleManager::readFontStyles(), ClarisWksStyleManager::readGradientList(), ClarisDrawStyleManager::readGradientList(), ClarisDrawGraph::readGroupHeader(), ClarisWksGraph::readGroupHeader(), readHeader(), ClarisWksStruct::readIntZone(), ClarisWksDatabase::readLayout(), ClarisDrawParser::readLayouts(), ClarisDrawParser::readLibraryNames(), ClarisWksText::readParagraphs(), ClarisWksStyleManager::readPatternList(), ClarisDrawStyleManager::readPatternList(), ClarisDrawGraph::readPolygonData(), ClarisWksGraph::readPolygonData(), ClarisWksSpreadsheet::readRowHeightZone(), ClarisDrawStyleManager::readRulers(), ClarisWksDocument::readStructCellZone(), ClarisWksStruct::readStructZone(), ClarisWksTable::readTableBorders(), ClarisWksTable::readTableBordersId(), ClarisWksTable::readTableCells(), ClarisWksTable::readTablePointers(), ClarisWksText::readTextSection(), ClarisDrawGraph::readTransformations(), and ClarisWksDocument::readZoneA().

## ◆ m_type

int ClarisWksStruct::Struct::m_type

the type

Referenced by ClarisWksStruct::operator<<(), and readHeader().

## ◆ m_values

int ClarisWksStruct::Struct::m_values[2]

an unknown value

Referenced by ClarisWksStruct::operator<<(), readHeader(), and Struct().

The documentation for this struct was generated from the following files:

- ClarisWksStruct.hxx
- ClarisWksStruct.cxx